<script setup>
import { computed } from 'vue'
import { Link, usePage } from '@inertiajs/vue3'
import { useGeneral } from "@/Composable/General.js";
const { asset } = useGeneral();
const page = usePage()
const user = computed(() => page.props.auth.user)

</script>
<template>
    <!-- ========== App Menu ========== -->
    <div class="app-menu navbar-menu">
        <!-- LOGO -->
        <div class="navbar-brand-box">
            <!-- Dark Logo-->
            <a href="/dashboard" class="logo logo-dark">
                <span class="logo-sm">
                    <img :src="asset('assets/images/logo-sm.png')" alt="" height="22">
                </span>
                <span class="logo-lg">
                    <img :src="asset('assets/images/logo-dark.png')" alt="" height="17">
                </span>
            </a>
            <!-- Light Logo-->
            <a href="/dashboard" class="logo logo-light">
                <span class="logo-sm">
                    <img :src="asset('assets/images/logo-sm.png')" alt="" height="22">
                </span>
                <span class="logo-lg">
                    <img :src="asset('assets/images/logo-dark.png')" alt="" height="17">
                </span>
            </a>
            <button type="button" class="btn btn-sm p-0 fs-20 header-item float-end btn-vertical-sm-hover"
                id="vertical-hover">
                <i class="ri-record-circle-line"></i>
            </button>
        </div>
        <div id="scrollbar">
            <div class="container-fluid">
                <div id="two-column-menu">
                </div>
                <ul class="navbar-nav" id="navbar-nav">
                    <li class="menu-title">
                        <span data-key="t-menu">Menu</span>
                    </li>

                     <li class="nav-item ">
                        <Link class="nav-link menu-link" :href="route('dashboard')"
                            :class="route().current('dashboard') ? 'active' : ''">
                        <i class="ri-user-line"></i>
                        <span data-key="t-dashboards">Dashboard</span></Link>
                    </li>

                    <li class="nav-item" v-if="user.role == 1 ">
                        <Link class="nav-link menu-link" :href="route('customer.show')"
                            :class="route().current('customer.*') ? 'active' : ''">
                        <i class="ri-user-line"></i>
                        <span data-key="t-dashboards">Customer</span></Link>
                    </li>
   
                    
                    <li class="nav-item" v-if="user.role == 1 ">
                        <Link class="nav-link menu-link" :href="route('restaurant.show')"
                            :class="route().current('restaurant.*') ? 'active' : ''">
                        <i class="ri-user-line"></i>
                        <span data-key="t-dashboards">Restaurant</span></Link>
                    </li>

                    <li class="nav-item" v-if="user.role == 1 ">
                        <Link class="nav-link menu-link" :href="route('deliveryBoy.show')"
                            :class="route().current('deliveryBoy.*') ? 'active' : ''">
                        <i class="ri-user-line"></i>
                        <span data-key="t-dashboards">Delivery Boy</span></Link>
                    </li>
                    
                    <li class="nav-item" v-if="user.role == 2" >
                        <Link class="nav-link menu-link" :href="route('menu.show')"
                            :class="route().current('menu.*') ? 'active' : ''">
                        <i class="ri-user-line"></i>
                        <span data-key="t-dashboards">Menu</span></Link>
                    </li>

                    <li class="nav-item" v-if="user.role == 1 ">
                        <Link class="nav-link menu-link" :href="route('category.show')"
                            :class="route().current('category.*') ? 'active' : ''">
                        <i class="ri-file-list-line"></i>
                        <span data-key="t-dashboards">Category</span></Link>
                    </li>

                    <li class="nav-item">
                        <Link class="nav-link menu-link" :href="route('order.show')"
                            :class="route().current('order.*') ? 'active' : ''">
                        <i class="ri-file-list-line"></i>
                        <span data-key="t-dashboards">Order</span></Link>
                    </li>
                   
                </ul>
                <!-- Sidebar -->
            </div>
        </div>
        <div class="sidebar-background"></div>
    </div>
    <!-- Left Sidebar End -->
    <!-- Vertical Overlay-->
    <div class="vertical-overlay"></div>

</template>